This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 197413 - (php-pear-Net-Curl) Review Request: php-pear-Net-Curl - OO interface to PHP's cURL extension
Review Request: php-pear-Net-Curl - OO interface to PHP's cURL extension
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-Payment-Process
  Show dependency treegraph
 
Reported: 2006-07-01 01:20 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 22:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-07-01 01:20:22 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-Curl.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-Curl-1.2.3-1.src.rpm

Description:
Provides an Object-Oriented interface to PHP's curl extension.
Comment 1 Jason Tibbitts 2006-09-07 21:41:05 EDT
Hmm, it looks like you install the LICENSE file in %prep, but it doesn't seem to
make it into the final package.

* source files match upstream:
   6a26900c1111336aa45615d4a3a4f66a  Net_Curl-1.2.3.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent (except for the usual bogus dangerous-command warning)
* final provides and requires are sane:
   php-pear(Net_Curl) = 1.2.3
   php-pear-Net-Curl = 1.2.3-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (PEAR module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Christopher Stone 2006-09-07 21:46:24 EDT
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-Curl.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-Curl-1.2.3-2.src.rpm

%changelog
* Thu Sep 07 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-2
- Add LICENSE file to %%doc
Comment 3 Jason Tibbitts 2006-09-07 22:21:53 EDT
Looks good now.

APPROVED
Comment 4 Christopher Stone 2007-04-30 22:25:47 EDT
Package Change Request
======================
Package Name: php-pear-Net-Curl
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.